ABUILD(1)

NAME
abuild - build coreboot images for all available targets

SYNOPSIS
abuild [-abxVh] [-t vendor/board] [-p dir] [LBROOT]

DESCRIPTION
abuild is a utility used to easily build coreboot images for all available targets.

OPTIONS
The [LBROOT] parameter tells abuild where the root directory of the coreboot build tree resides. Per default this is ../.. as the abuild script resides in [CBROOT]/utils/abuild.

-a, --all
    Build previously succeeded ports as well.

-b, --broken
    Attempt to build ports that are known to be broken.

-p, --payloads <dir>
    Use payloads in <dir> to build images. This will run payload.sh in that directory to find out the path of the payload.

-t, --target <vendor/board>
    Attempt to build target vendor/board only.

-x, --xml
    Write an XML log file instead of a plain-text one. The file will be called abuild.xml and will be created in the current directory.

-T, --test
    Submit generated image(s) to the automated test system. The results of the tests will be made available at http://qa.coreboot.org/log_manual.php

-v, --verbose
    More verbose output.

-h, --help
    Show a help text and exit.

-V, --version
    Show version information and exit.

BUGS
Please report any bugs at http://tracker.coreboot.org/.

LICENCE
abuild is covered by the GNU General Public License (GPL), version 2 or later.

SEE ALSO
romcc(1), flashrom(1).

COPYRIGHT
2004 Stefan Reinauer
2006 coresystems GmbH

AUTHORS
Stefan Reinauer <stepan@coresystems.de>

This manual page was written by Uwe Hermann <uwe@hermann-uwe.de>. It is licensed under the terms of the GNU GPL (v2 or later).